## Apache Zeta Components Manual :: Docs For Class ezcCacheException

### Cache::ezcCacheException

### Class ezcCacheException

General exception container for the Cache component.

Source for this file: /Cache/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcCacheException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcCacheStackIdAlreadyUsedException | Exception that is thrown if an ID is already in use in a stack.
ezcCacheStackStorageUsedTwiceException | Exception that is thrown if a storage is used twice in a stack.
ezcCacheInvalidKeyException | Exception thrown if a certain cache key could not be processed by a backend.
ezcCacheStackUnderflowException | Thrown if popStorage() is called on an empty stack.
ezcCacheInvalidIdException | Exception that is thrown if the given cache ID does not exist.
ezcCacheInvalidDataException | Thrown if the data to be stored in a cache can not be handled by the storage.
ezcCacheInvalidMetaDataException | Thrown if an ezcCacheStackReplacementStrategy could not process the given ezcCacheStackMetaData.
ezcCacheUsedLocationException | Exception that is thrown when a given location is already in use.
ezcCacheInvalidStorageClassException | Exception that is thrown when an invalid storage class is used.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3